glab(1)

NAME

glab-stack-sync - Sync and submit progress on a stacked diff.

SYNOPSIS

glab stack sync [flags]

DESCRIPTION

Sync and submit progress on a stacked diff. This command runs these steps:

    1.  Creates a merge request for any branches without one.

    2.  Pushes any amended changes to their merge requests.

    3.  Rebases any changes that happened previously in the stack.

    4.  Removes any branches that were already merged, or with a closed merge request.

This feature is experimental. It might be broken or removed without any prior notice. Read more about what experimental features mean at ⟨https://docs.gitlab.com/ee/policy/experiment-beta-support.html⟩

Use experimental features at your own risk.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab sync

SEE ALSO

glab-stack(1)